Runtime

## org.eclipse.gmf.runtime.emf.type.core
Interface IElementTypeFactory

All Known Implementing Classes:
  AbstractElementTypeFactory

public interface IElementTypeFactory

Factory for custom element types, which must implement one of the `IMetamodelType` or `ISpecializationType` interfaces.

Custom element types can define custom parameters whose values can be specified in the element type extension point.

Clients should not implement this interface directly, but should subclass `AbstractElementTypeFactory`instead.

Method Summary
`IMetamodelType` `createMetamodelType(IMetamodelTypeDescriptor descriptor)` Creates the custom metamodel type.
`ISpecializationType` `createSpecializationType(ISpecializationTypeDescriptor descriptor)` Creates the custom specialization type.

Method Detail

### createMetamodelType

    public IMetamodelType createMetamodelType(IMetamodelTypeDescriptor descriptor)

  Creates the custom metamodel type.

  Parameters:
    `descriptor` - the metamodel type descriptor
  Returns:
    the custom metamodel type

### createSpecializationType

    public ISpecializationType createSpecializationType(ISpecializationTypeDescriptor descriptor)

  Creates the custom specialization type.

  Parameters:
    `descriptor` - the specialization type descriptor
  Returns:
    the custom specialization type

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.